<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:07 AEST 2019 -->
<title>PlatformManager (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="PlatformManager (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/extension/platform/PlatformCommandManager.html" title="class in com.sk89q.worldedit.extension.platform"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/sk89q/worldedit/extension/platform/Preference.html" title="enum in com.sk89q.worldedit.extension.platform"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/extension/platform/PlatformManager.html" target="_top">Frames</a></li>
<li><a href="PlatformManager.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.extension.platform</div>
<h2 title="Class PlatformManager" class="title">Class PlatformManager</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.extension.platform.PlatformManager</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">PlatformManager</span>
extends java.lang.Object</pre>
<div class="block">Manages registered <a href="../../../../../com/sk89q/worldedit/extension/platform/Platform.html" title="interface in com.sk89q.worldedit.extension.platform"><code>Platform</code></a>s for WorldEdit. Platforms are
 implementations of WorldEdit.

 <p>This class is thread-safe.</p></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/PlatformManager.html#PlatformManager-com.sk89q.worldedit.WorldEdit-">PlatformManager</a></span>(<a href="../../../../../com/sk89q/worldedit/WorldEdit.html" title="class in com.sk89q.worldedit">WorldEdit</a>&nbsp;worldEdit)</code>
<div class="block">Create a new platform manager.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>&lt;T extends <a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>&gt;<br>T</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/PlatformManager.html#createProxyActor-T-">createProxyActor</a></span>(T&nbsp;base)</code>
<div class="block">Given an actor, return a new one that may use a different platform
 for permissions and world editing.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/LocalConfiguration.html" title="class in com.sk89q.worldedit">LocalConfiguration</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/PlatformManager.html#getConfiguration--">getConfiguration</a></span>()</code>
<div class="block">Get the current configuration.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/extension/platform/PlatformCommandManager.html" title="class in com.sk89q.worldedit.extension.platform">PlatformCommandManager</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/PlatformManager.html#getPlatformCommandManager--">getPlatformCommandManager</a></span>()</code>
<div class="block">Get the command manager.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../../../com/sk89q/worldedit/extension/platform/Platform.html" title="interface in com.sk89q.worldedit.extension.platform">Platform</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/PlatformManager.html#getPlatforms--">getPlatforms</a></span>()</code>
<div class="block">Get a list of loaded platforms.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/PlatformManager.html#getWorldForEditing-com.sk89q.worldedit.world.World-">getWorldForEditing</a></span>(<a href="../../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a>&nbsp;base)</code>
<div class="block">Given a world, possibly return the same world but using a different
 platform preferred for world editing operations.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/PlatformManager.html#handleBlockInteract-com.sk89q.worldedit.event.platform.BlockInteractEvent-">handleBlockInteract</a></span>(<a href="../../../../../com/sk89q/worldedit/event/platform/BlockInteractEvent.html" title="class in com.sk89q.worldedit.event.platform">BlockInteractEvent</a>&nbsp;event)</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/PlatformManager.html#handlePlatformReady-com.sk89q.worldedit.event.platform.PlatformReadyEvent-">handlePlatformReady</a></span>(<a href="../../../../../com/sk89q/worldedit/event/platform/PlatformReadyEvent.html" title="class in com.sk89q.worldedit.event.platform">PlatformReadyEvent</a>&nbsp;event)</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/PlatformManager.html#handlePlayerInput-com.sk89q.worldedit.event.platform.PlayerInputEvent-">handlePlayerInput</a></span>(<a href="../../../../../com/sk89q/worldedit/event/platform/PlayerInputEvent.html" title="class in com.sk89q.worldedit.event.platform">PlayerInputEvent</a>&nbsp;event)</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/extension/platform/Platform.html" title="interface in com.sk89q.worldedit.extension.platform">Platform</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/PlatformManager.html#queryCapability-com.sk89q.worldedit.extension.platform.Capability-">queryCapability</a></span>(<a href="../../../../../com/sk89q/worldedit/extension/platform/Capability.html" title="enum in com.sk89q.worldedit.extension.platform">Capability</a>&nbsp;capability)</code>
<div class="block">Get the preferred platform for handling a certain capability.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/PlatformManager.html#register-com.sk89q.worldedit.extension.platform.Platform-">register</a></span>(<a href="../../../../../com/sk89q/worldedit/extension/platform/Platform.html" title="interface in com.sk89q.worldedit.extension.platform">Platform</a>&nbsp;platform)</code>
<div class="block">Register a platform with WorldEdit.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/PlatformManager.html#unregister-com.sk89q.worldedit.extension.platform.Platform-">unregister</a></span>(<a href="../../../../../com/sk89q/worldedit/extension/platform/Platform.html" title="interface in com.sk89q.worldedit.extension.platform">Platform</a>&nbsp;platform)</code>
<div class="block">Unregister a platform from WorldEdit.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="PlatformManager-com.sk89q.worldedit.WorldEdit-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>PlatformManager</h4>
<pre>public&nbsp;PlatformManager(<a href="../../../../../com/sk89q/worldedit/WorldEdit.html" title="class in com.sk89q.worldedit">WorldEdit</a>&nbsp;worldEdit)</pre>
<div class="block">Create a new platform manager.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>worldEdit</code> - the WorldEdit instance</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="register-com.sk89q.worldedit.extension.platform.Platform-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>register</h4>
<pre>public&nbsp;void&nbsp;register(<a href="../../../../../com/sk89q/worldedit/extension/platform/Platform.html" title="interface in com.sk89q.worldedit.extension.platform">Platform</a>&nbsp;platform)</pre>
<div class="block">Register a platform with WorldEdit.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>platform</code> - the platform</dd>
</dl>
</li>
</ul>
<a name="unregister-com.sk89q.worldedit.extension.platform.Platform-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>unregister</h4>
<pre>public&nbsp;boolean&nbsp;unregister(<a href="../../../../../com/sk89q/worldedit/extension/platform/Platform.html" title="interface in com.sk89q.worldedit.extension.platform">Platform</a>&nbsp;platform)</pre>
<div class="block">Unregister a platform from WorldEdit.

 <p>If the platform has been chosen for any capabilities, then a new
 platform will be found.</p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>platform</code> - the platform</dd>
</dl>
</li>
</ul>
<a name="queryCapability-com.sk89q.worldedit.extension.platform.Capability-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>queryCapability</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/extension/platform/Platform.html" title="interface in com.sk89q.worldedit.extension.platform">Platform</a>&nbsp;queryCapability(<a href="../../../../../com/sk89q/worldedit/extension/platform/Capability.html" title="enum in com.sk89q.worldedit.extension.platform">Capability</a>&nbsp;capability)
                         throws <a href="../../../../../com/sk89q/worldedit/extension/platform/NoCapablePlatformException.html" title="class in com.sk89q.worldedit.extension.platform">NoCapablePlatformException</a></pre>
<div class="block">Get the preferred platform for handling a certain capability. Returns
 null if none is available.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>capability</code> - the capability</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the platform</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/extension/platform/NoCapablePlatformException.html" title="class in com.sk89q.worldedit.extension.platform">NoCapablePlatformException</a></code> - thrown if no platform is capable</dd>
</dl>
</li>
</ul>
<a name="getPlatforms--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPlatforms</h4>
<pre>public&nbsp;java.util.List&lt;<a href="../../../../../com/sk89q/worldedit/extension/platform/Platform.html" title="interface in com.sk89q.worldedit.extension.platform">Platform</a>&gt;&nbsp;getPlatforms()</pre>
<div class="block">Get a list of loaded platforms.

 <p>The returned list is a copy of the original and is mutable.</p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a list of platforms</dd>
</dl>
</li>
</ul>
<a name="getWorldForEditing-com.sk89q.worldedit.world.World-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWorldForEditing</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a>&nbsp;getWorldForEditing(<a href="../../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a>&nbsp;base)</pre>
<div class="block">Given a world, possibly return the same world but using a different
 platform preferred for world editing operations.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>base</code> - the world to match</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the preferred world, if one was found, otherwise the given world</dd>
</dl>
</li>
</ul>
<a name="createProxyActor-com.sk89q.worldedit.extension.platform.Actor-">
<!--   -->
</a><a name="createProxyActor-T-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createProxyActor</h4>
<pre>public&nbsp;&lt;T extends <a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>&gt;&nbsp;T&nbsp;createProxyActor(T&nbsp;base)</pre>
<div class="block">Given an actor, return a new one that may use a different platform
 for permissions and world editing.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>base</code> - the base actor to match</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new delegate actor</dd>
</dl>
</li>
</ul>
<a name="getPlatformCommandManager--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPlatformCommandManager</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/extension/platform/PlatformCommandManager.html" title="class in com.sk89q.worldedit.extension.platform">PlatformCommandManager</a>&nbsp;getPlatformCommandManager()</pre>
<div class="block">Get the command manager.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the command manager</dd>
</dl>
</li>
</ul>
<a name="getConfiguration--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getConfiguration</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/LocalConfiguration.html" title="class in com.sk89q.worldedit">LocalConfiguration</a>&nbsp;getConfiguration()</pre>
<div class="block">Get the current configuration.

 <p>If no platform has been registered yet, then a default configuration
 will be returned.</p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the configuration</dd>
</dl>
</li>
</ul>
<a name="handlePlatformReady-com.sk89q.worldedit.event.platform.PlatformReadyEvent-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>handlePlatformReady</h4>
<pre>public&nbsp;void&nbsp;handlePlatformReady(<a href="../../../../../com/sk89q/worldedit/event/platform/PlatformReadyEvent.html" title="class in com.sk89q.worldedit.event.platform">PlatformReadyEvent</a>&nbsp;event)</pre>
</li>
</ul>
<a name="handleBlockInteract-com.sk89q.worldedit.event.platform.BlockInteractEvent-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>handleBlockInteract</h4>
<pre>public&nbsp;void&nbsp;handleBlockInteract(<a href="../../../../../com/sk89q/worldedit/event/platform/BlockInteractEvent.html" title="class in com.sk89q.worldedit.event.platform">BlockInteractEvent</a>&nbsp;event)</pre>
</li>
</ul>
<a name="handlePlayerInput-com.sk89q.worldedit.event.platform.PlayerInputEvent-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>handlePlayerInput</h4>
<pre>public&nbsp;void&nbsp;handlePlayerInput(<a href="../../../../../com/sk89q/worldedit/event/platform/PlayerInputEvent.html" title="class in com.sk89q.worldedit.event.platform">PlayerInputEvent</a>&nbsp;event)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/extension/platform/PlatformCommandManager.html" title="class in com.sk89q.worldedit.extension.platform"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/sk89q/worldedit/extension/platform/Preference.html" title="enum in com.sk89q.worldedit.extension.platform"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/extension/platform/PlatformManager.html" target="_top">Frames</a></li>
<li><a href="PlatformManager.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
